#ifndef FGUI_H
#define FGUI_H

#include "tier0/platform.h"

abstract_class fgui
{
	struct Color_t
	{
		float r;
		float g;
		float b;
	};

	/* every position is resized to some degree of 1280x720 */
	struct Vector_t
	{
		float x;
		float y;
	};
	static void Init( void ); 
	static void Frame( void );
	static void Rectangle( Vector_t posPx, Vector_t posFl, Vector_t sizePx, Vector_t sizeFl );
	static void Text( const char *psz, uint32_t nSize, Vector_t pos, Vector_t color );
};

#endif